org.apache.ignite.internal.processors.cache.store

## Class CacheOsStoreManager

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter
  - - org.apache.ignite.internal.processors.cache.store.GridCacheStoreManagerAdapter
    - - org.apache.ignite.internal.processors.cache.store.CacheOsStoreManager

All Implemented Interfaces:
  GridCacheManager, CacheStoreManager

    public class CacheOsStoreManager
    extends GridCacheStoreManagerAdapter

Default store manager implementation.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.store.GridCacheStoreManagerAdapter

`alwaysKeepBinary, cfgStore, store`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`cctx, log, starting`

### Constructor Summary

Constructors
Constructor and Description
`CacheOsStoreManager(GridKernalContext ctx, CacheConfiguration cfg)` Constructor.

### Method Summary

Methods
`protected CacheConfiguration` `cacheConfiguration()`
`boolean` `configuredConvertBinary()`
`boolean` `convertBinary()`
`protected GridKernalContext` `igniteContext()`
`protected void` `start0()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.store.GridCacheStoreManagerAdapter

`configured, configuredStore, forceFlush, initialize, isLocal, isWriteBehind, isWriteThrough, isWriteToStoreFromDht, load, loadAll, loadCache, localStoreLoadAll, put, putAll, remove, removeAll, sessionEnd, stop0, store, writeBehindSessionEnd, writeBehindSessionInit`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`context, kernalStartInfo, kernalStopInfo, log, onDisconnected, onKernalStart, onKernalStart0, onKernalStop, onKernalStop0, printMemoryStats, start, startInfo, stop, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheManager

`onDisconnected, onKernalStart, onKernalStop, printMemoryStats, start, stop`

### Constructor Detail

#### CacheOsStoreManager

    public CacheOsStoreManager(GridKernalContext ctx,
                       CacheConfiguration cfg)

Constructor.

Parameters:
  `ctx` - Ignite context.
  `cfg` - Cache configuration.

### Method Detail

#### start0

    protected void start0()
                   throws IgniteCheckedException

Overrides:
  `start0` in class `GridCacheStoreManagerAdapter`
Throws:
  `IgniteCheckedException` - If failed.

#### igniteContext

    protected GridKernalContext igniteContext()

Specified by:
  `igniteContext` in class `GridCacheStoreManagerAdapter`
Returns:
  Ignite context.

#### cacheConfiguration

    protected CacheConfiguration cacheConfiguration()

Specified by:
  `cacheConfiguration` in class `GridCacheStoreManagerAdapter`
Returns:
  Cache configuration.

#### convertBinary

    public boolean convertBinary()

Returns:
  Convert-binary flag.

#### configuredConvertBinary

    public boolean configuredConvertBinary()

Returns:
  Configured convert binary flag.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017